中危 Exiv2 IptcData::printStructure越界读漏洞

CVE编号

CVE-2018-9306

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-04-05
漏洞描述
Exiv2 是一个用来提取图片中的EXIF、LPTC 和XMP 元数据信息的C++类库。

Exiv2 0.26版本iptc.c/IptcData::printStructure存在越界读安全漏洞,攻击者利用此漏洞可造成崩溃或信息泄露。
解决建议
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
https://github.com/xiaoqx/pocs/blob/master/exiv2/readme.md
https://github.com/Exiv2/exiv2/issues/263
参考链接
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 centos_8 exiv2-devel * Up to
(excluding)
3.28.0-3.el8
运行在以下环境
系统 oracle_8 exiv2-devel * Up to
(excluding)
0.27.2-5.el8
运行在以下环境
系统 redhat_8 libgexiv2 * Up to
(excluding)
0.27.2-5.el8
运行在以下环境
系统 ubuntu_8 exiv2-devel * Up to
(excluding)
3.28.0-3.el8
阿里云评分
6.5
  • 攻击路径
    N/A
  • 攻击复杂度
    N/A
  • 权限要求
    N/A
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    N/A
  • 数据完整性
    N/A
  • 服务器危害
    N/A
  • 全网数量
    N/A
CWE-ID 漏洞类型
阿里云安全产品覆盖情况